object Parameter extends Serializable
- Alphabetic
- By Inheritance
- Parameter
- Serializable
- Serializable
- AnyRef
- Any
- Hide All
- Show All
- Public
- All
Type Members
Value Members
-
final
def
!=(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
##(): Int
- Definition Classes
- AnyRef → Any
-
final
def
==(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
asInstanceOf[T0]: T0
- Definition Classes
- Any
-
def
clone(): AnyRef
- Attributes
- protected[lang]
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native() @IntrinsicCandidate()
-
def
cookieParameter(name: String, description: Option[Doc], required: Boolean, deprecated: Boolean = false, definition: Option[ReferenceOr[JsonSchema]] = None, explode: Boolean = false, examples: Map[String, ReferenceOr[Example]]): Parameter
Used to pass a specific cookie value to the API.
Used to pass a specific cookie value to the API.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
-
final
def
eq(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
def
equals(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
getClass(): Class[_]
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
def
hashCode(): Int
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
def
headerParameter(name: String, description: Option[Doc], required: Boolean, deprecated: Boolean = false, definition: Option[ReferenceOr[JsonSchema]] = None, explode: Boolean = false, examples: Map[String, ReferenceOr[Example]]): Parameter
Custom headers that are expected as part of the request.
Custom headers that are expected as part of the request. Note that [RFC7230] states header names are case insensitive.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
-
final
def
isInstanceOf[T0]: Boolean
- Definition Classes
- Any
-
final
def
ne(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
final
def
notify(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
notifyAll(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
def
pathParameter(name: String, description: Option[Doc], deprecated: Boolean = false, definition: Option[ReferenceOr[JsonSchema]] = None, style: PathStyle = Style.Simple, explode: Boolean = false, examples: Map[String, ReferenceOr[Example]]): Parameter
Used together with Path Templating, where the parameter value is actually part of the operation’s URL.
Used together with Path Templating, where the parameter value is actually part of the operation’s URL. This does not include the host or base path of the API. For example, in /items/{itemId}, the path parameter is itemId.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
-
def
queryParameter(name: String, description: Option[Doc], schema: Option[ReferenceOr[JsonSchema]], examples: Map[String, ReferenceOr[Example]], deprecated: Boolean = false, explode: Boolean = true, required: Boolean = false, allowReserved: Boolean = false, style: QueryStyle = Style.Form): Parameter
Parameters that are appended to the URL.
Parameters that are appended to the URL. For example, in /items?id=###, the query parameter is id.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- implicit val schema: Schema[Parameter]
-
final
def
synchronized[T0](arg0: ⇒ T0): T0
- Definition Classes
- AnyRef
-
def
toString(): String
- Definition Classes
- AnyRef → Any
-
final
def
wait(arg0: Long, arg1: Int): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
-
final
def
wait(arg0: Long): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native()
-
final
def
wait(): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
- object Style